LibreOffice: uno/sequence2.h File Reference

LibreOffice LibreOffice 24.8 SDK C/C++ API Reference |

Loading...
Searching...
No Matches
Typedefs | Functions
sequence2.h File Reference
`#include "cppu/cppudllapi.h"`
`#include "uno/data.h"`

Go to the source code of this file.

## Typedefs
typedef sal_Sequence | uno_Sequence

## Functions
CPPU_DLLPUBLIC void | uno_sequence_assign (uno_Sequence **ppDest, uno_Sequence *pSource, struct _typelib_TypeDescription *pTypeDescr, uno_ReleaseFunc release) SAL_THROW_EXTERN_C()
| Assigns a sequence.
CPPU_DLLPUBLIC void | uno_type_sequence_assign (uno_Sequence **ppDest, uno_Sequence *pSource, struct _typelib_TypeDescriptionReference *pType, uno_ReleaseFunc release) SAL_THROW_EXTERN_C()
| Assigns a sequence.
CPPU_DLLPUBLIC sal_Bool | uno_sequence_construct (uno_Sequence **ppSequence, struct _typelib_TypeDescription *pTypeDescr, void *pElements, sal_Int32 len, uno_AcquireFunc acquire) SAL_THROW_EXTERN_C()
| Constructs a new sequence with given elements.
CPPU_DLLPUBLIC sal_Bool | uno_type_sequence_construct (uno_Sequence **ppSequence, struct _typelib_TypeDescriptionReference *pType, void *pElements, sal_Int32 len, uno_AcquireFunc acquire) SAL_THROW_EXTERN_C()
| Constructs a new sequence with given elements.
CPPU_DLLPUBLIC sal_Bool | uno_sequence_reference2One (uno_Sequence **ppSequence, struct _typelib_TypeDescription *pTypeDescr, uno_AcquireFunc acquire, uno_ReleaseFunc release) SAL_THROW_EXTERN_C()
| Assures that the reference count of the given sequence is one.
CPPU_DLLPUBLIC sal_Bool | uno_type_sequence_reference2One (uno_Sequence **ppSequence, struct _typelib_TypeDescriptionReference *pType, uno_AcquireFunc acquire, uno_ReleaseFunc release) SAL_THROW_EXTERN_C()
| Assures that the reference count of the given sequence is one.
CPPU_DLLPUBLIC sal_Bool | uno_sequence_realloc (uno_Sequence **ppSequence, struct _typelib_TypeDescription *pTypeDescr, sal_Int32 nSize, uno_AcquireFunc acquire, uno_ReleaseFunc release) SAL_THROW_EXTERN_C()
| Reallocates length of a sequence.
CPPU_DLLPUBLIC sal_Bool | uno_type_sequence_realloc (uno_Sequence **ppSequence, struct _typelib_TypeDescriptionReference *pType, sal_Int32 nSize, uno_AcquireFunc acquire, uno_ReleaseFunc release) SAL_THROW_EXTERN_C()
| Reallocates length of a sequence.
CPPU_DLLPUBLIC void | uno_type_sequence_destroy (uno_Sequence *sequence, struct _typelib_TypeDescriptionReference *type, uno_ReleaseFunc release) SAL_THROW_EXTERN_C()
| Destroy a sequence whose reference count has dropped to zero.

## Typedef Documentation

## ◆ uno_Sequence

typedef sal_Sequence uno_Sequence

## Function Documentation

## ◆ uno_sequence_assign()

CPPU_DLLPUBLIC void uno_sequence_assign | ( | uno_Sequence ** | ppDest,
|  | uno_Sequence * | pSource,
|  | struct _typelib_TypeDescription * | pTypeDescr,
|  | uno_ReleaseFunc | release )

Assigns a sequence.

Parameters

  ppDest | destination sequence
  pSource | source sequence
  pTypeDescr | type description of the sequence and NOT of an element
  release | function called each time an interface needs to be released; defaults (0) to uno

## ◆ uno_sequence_construct()

CPPU_DLLPUBLIC sal_Bool uno_sequence_construct | ( | uno_Sequence ** | ppSequence,
|  | struct _typelib_TypeDescription * | pTypeDescr,
|  | void * | pElements,
|  | sal_Int32 | len,
|  | uno_AcquireFunc | acquire )

Constructs a new sequence with given elements.

Parameters

  ppSequence | out parameter sequence; 0 if memory allocation has failed
  pTypeDescr | type description of the sequence and NOT of an element
  pElements | if 0, then all elements are default constructed
  len | number of elements
  acquire | function called each time an interface needs to be acquired; defaults (0) to uno

Returns
  false, if memoray allocation has failed

## ◆ uno_sequence_realloc()

CPPU_DLLPUBLIC sal_Bool uno_sequence_realloc | ( | uno_Sequence ** | ppSequence,
|  | struct _typelib_TypeDescription * | pTypeDescr,
|  | sal_Int32 | nSize,
|  | uno_AcquireFunc | acquire,
|  | uno_ReleaseFunc | release )

Reallocates length of a sequence.

This truncates a sequence or enlarges it default constructing appended elements.

Parameters

  ppSequence | inout sequence
  pTypeDescr | type description of sequence
  nSize | new size of sequence
  acquire | function called each time an interface needs to be acquired; defaults (0) to uno
  release | function called each time an interface needs to be released; defaults (0) to uno

Returns
  false, if memoray allocation has failed

## ◆ uno_sequence_reference2One()

CPPU_DLLPUBLIC sal_Bool uno_sequence_reference2One | ( | uno_Sequence ** | ppSequence,
|  | struct _typelib_TypeDescription * | pTypeDescr,
|  | uno_AcquireFunc | acquire,
|  | uno_ReleaseFunc | release )

Assures that the reference count of the given sequence is one.

Otherwise a new copy of the sequence is created with a reference count of one.

Parameters

  ppSequence | inout sequence
  pTypeDescr | type description of sequence
  acquire | function called each time an interface needs to be acquired; defaults (0) to uno
  release | function called each time an interface needs to be released; defaults (0) to uno

Returns
  false, if memoray allocation has failed

## ◆ uno_type_sequence_assign()

CPPU_DLLPUBLIC void uno_type_sequence_assign | ( | uno_Sequence ** | ppDest,
|  | uno_Sequence * | pSource,
|  | struct _typelib_TypeDescriptionReference * | pType,
|  | uno_ReleaseFunc | release )

Assigns a sequence.

Parameters

  ppDest | destination sequence
  pSource | source sequence
  pType | type of the sequence and NOT of an element
  release | function called each time an interface needs to be released; defaults (0) to uno

## ◆ uno_type_sequence_construct()

CPPU_DLLPUBLIC sal_Bool uno_type_sequence_construct | ( | uno_Sequence ** | ppSequence,
|  | struct _typelib_TypeDescriptionReference * | pType,
|  | void * | pElements,
|  | sal_Int32 | len,
|  | uno_AcquireFunc | acquire )

Constructs a new sequence with given elements.

Parameters

  ppSequence | out parameter sequence; 0 if memory allocation has failed
  pType | type of the sequence and NOT of an element
  pElements | if 0, then all elements are default constructed
  len | number of elements
  acquire | function called each time an interface needs to be acquired; defaults (0) to uno

Returns
  false, if memoray allocation has failed

## ◆ uno_type_sequence_destroy()

CPPU_DLLPUBLIC void uno_type_sequence_destroy | ( | uno_Sequence * | sequence,
|  | struct _typelib_TypeDescriptionReference * | type,
|  | uno_ReleaseFunc | release )

Destroy a sequence whose reference count has dropped to zero.

Parameters

  sequence | must be non-null, sequence->nRefCount must be zero
  type | the type of the sequence, must be non-null
  release | function called each time an interface needs to be release, must be non-null

Since
  LibreOffice 4.4

## ◆ uno_type_sequence_realloc()

CPPU_DLLPUBLIC sal_Bool uno_type_sequence_realloc | ( | uno_Sequence ** | ppSequence,
|  | struct _typelib_TypeDescriptionReference * | pType,
|  | sal_Int32 | nSize,
|  | uno_AcquireFunc | acquire,
|  | uno_ReleaseFunc | release )

Reallocates length of a sequence.

This truncates a sequence or enlarges it default constructing appended elements.

Parameters

  ppSequence | inout sequence
  pType | type of sequence
  nSize | new size of sequence
  acquire | function called each time an interface needs to be acquired; defaults (0) to uno
  release | function called each time an interface needs to be released; defaults (0) to uno

Returns
  false, if memoray allocation has failed

## ◆ uno_type_sequence_reference2One()

CPPU_DLLPUBLIC sal_Bool uno_type_sequence_reference2One | ( | uno_Sequence ** | ppSequence,
|  | struct _typelib_TypeDescriptionReference * | pType,
|  | uno_AcquireFunc | acquire,
|  | uno_ReleaseFunc | release )

Assures that the reference count of the given sequence is one.

Otherwise a new copy of the sequence is created with a reference count of one.

Parameters

  ppSequence | inout sequence
  pType | type of sequence
  acquire | function called each time an interface needs to be acquired; defaults (0) to uno
  release | function called each time an interface needs to be released; defaults (0) to uno

Returns
  false, if memoray allocation has failed